#ifndef pxeasy_INCLUDED
#define pxeasy_INCLUDED

#include <stddef.h>

#define PXEASY_SUCCESS  0
#define PXEASY_FAILURE  -1


/// pxtone 
int  __stdcall pxeasy_Ready(int  channels,
                            int  samples_per_second,
                            int  bits_per_sample,
                            int  buffer_milisecond);
/// pxtone Đݒ
int  __stdcall pxeasy_Reset(int  channels,
                            int  samples_per_second,
                            int  bits_per_sample,
                            int  buffer_milisecond);
/// XgG[擾
int  __stdcall pxeasy_CopyLastErrorA(char*  destination, int  max_count);
/// XgG[擾
int  __stdcall pxeasy_CopyLastErrorW(wchar_t*  destination, int  max_count);
/// pxtone E`l擾
int  __stdcall pxeasy_GetChannels(void);
/// pxtone EbԃTv擾
int  __stdcall pxeasy_GetSamplesPerSecond(void);
/// pxtone ETvʎq擾
int  __stdcall pxeasy_GetBitsPerSample(void);
/// pxtone Eobt@Tv擾
int  __stdcall pxeasy_GetSamplesPerBuffer(void);
/// pxtone J
int  __stdcall pxeasy_Release(void);
/// yȃt@Cǂݍ
int  __stdcall pxeasy_Tune_LoadA(const char*  filename);
/// yȃt@Cǂݍ
int  __stdcall pxeasy_Tune_LoadW(const wchar_t*  filename);
/// yȊJ
int  __stdcall pxeasy_Tune_Release(void);
/// yȍĐ
int  __stdcall pxeasy_Tune_Start(int  start_samples, int  fadein_milisecond);
/// yȂɃtF[hAEgXCb`ČݍĐTv擾
int  __stdcall pxeasy_Tune_Fadeout(int  fadeout_milisecond);
/// yȂ̃{[ݒ
int  __stdcall pxeasy_Tune_SetVolume(int  volume_percentage);
/// yȂ~ČݍĐTv擾
int  __stdcall pxeasy_Tune_Stop(void);
/// yȂĐǂ
int  __stdcall pxeasy_Tune_IsStreaming(void);
/// yȂ̃[vĐ̐؂ւ
int  __stdcall pxeasy_Tune_SetLoop(int  enable);
/// yȂ̔q擾
int  __stdcall pxeasy_Tune_GetBeatNum(void);
/// yȂ̃e|擾
int  __stdcall pxeasy_Tune_GetBeatTempo(void);
/// yȂ̃NbN擾
int  __stdcall pxeasy_Tune_GetBeatClock(void);
/// yȂ̏ߐ擾
int  __stdcall pxeasy_Tune_GetMeasNum(void);
/// yȂ̃s[g߂擾
int  __stdcall pxeasy_Tune_GetRepeatMeas(void);
/// yȂ̗Lt߂擾
int  __stdcall pxeasy_Tune_GetPlayMeas(void);
/// yȂ̖̂擾
int  __stdcall pxeasy_Tune_CopyNameA(char*  destination, int  max_count);
/// yȂ̖̂擾
int  __stdcall pxeasy_Tune_CopyNameW(wchar_t*  destination, int  max_count);
/// yȂ̃Rg擾
int  __stdcall pxeasy_Tune_CopyCommentA(char*  destination, int  max_count);
/// yȂ̃Rg擾
int  __stdcall pxeasy_Tune_CopyCommentW(wchar_t*  destination, int  max_count);

/// t@Cǂݍ
int  __stdcall pxeasy_Sound_CreateA(const char*  filename,
                                    int          channels,
                                    int          samples_per_second,
                                    int          bits_per_sample,
                                    int          play_count);
/// t@Cǂݍ
int  __stdcall pxeasy_Sound_CreateW(const wchar_t*  filename,
                                    int             channels,
                                    int             samples_per_second,
                                    int             bits_per_sample,
                                    int             play_count);
/// ̍Đ
int  __stdcall pxeasy_Sound_Play(int  sound_id, int  looping);
/// ̒~
int  __stdcall pxeasy_Sound_Stop(int  sound_id);
/** \brief  ʐݒ. */
int  __stdcall pxeasy_Sound_SetVolume(int  sound_id, int  volume);
/** \brief  ʐݒ. */
int  __stdcall pxeasy_Sound_SetPan(int  sound_id, int  pan);
/** \brief  ʐݒ. */
int  __stdcall pxeasy_Sound_SetFrequency(int  sound_id, int  frequency);
/// ̊J
int  __stdcall pxeasy_Sound_Release(int  sound_id);

#endif /* not defined pxeasy_INCLUDED */